Name:           snifflib
Summary:        Numerical library for Java
Version:        1.9.0
Release:        10%{?dist}
License:        LGPLv3+
URL:            http://sourceforge.net/projects/snifflib
# Source was downloaded from upstream's svn. Tarball was generated by generate-tarball.sh
Source0:        %{name}-%{version}.tar.bz2
Source1:        myrtle.desktop
Source2:        myrtle
Patch0:         snifflib.classpath.patch
# Reported upstream: https://sourceforge.net/p/myrtle/tickets/3/
Patch1:         snifflib.myrtle-image-path.patch
BuildArch:      noarch

BuildRequires:  javapackages-local
BuildRequires:  ant
BuildRequires:  ant-contrib
BuildRequires:  ant-junit
BuildRequires:  groovy
BuildRequires:  mysql-connector-java
BuildRequires:  desktop-file-utils

Requires:       java-headless
Requires:       groovy
Requires:       mysql-connector-java

%description
The Snifflib numerical library provides honest-to-goodness N-dimensional array
construction and manipulation along with standard linear algebra functionality
as well as statistics and computational routines in the JAVA language.

%package -n myrtle
Summary:        Simple programmable spreadsheet designed for learning statistics
Requires:       %{name} = %{version}-%{release}
Requires:       java
URL:            http://sourceforge.net/projects/myrtle

%description -n myrtle
Myrtle is a simple programmable spreadsheet and statistical analysis software
specifically designed for learning statistics. It provides the standard
spreadsheet functionality one would expect like multiple tabbed sheets,
relative and absolute row and column referencing in formulas, and a large
catalog of built-in functions. Functions specific to logic and computer
science, mathematics, probability, and statistics are available. Student's can
easily create, customize, and update plots and graphical summaries of their
analyses.

Myrtle offers a unique bookmarking facility which allows students to create and
reuse named references to their favorite cell ranges. This can help students
focus attention on the important relationships among particular rows or columns
of data. Myrtle's graphics and reporting features allow students to report back
to their instructors their mastery of course content.

%package javadoc
Summary:       API documentation for Snifflib numerical library
Requires:       %{name} = %{version}-%{release}

%description javadoc
This package contains %{summary}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
build-jar-repository -s lib groovy mysql-connector-java

%build
ant -buildfile basic_build.xml jarlib nonfatjarmyrtle buildapi

%check
ant -buildfile basic_build.xml testMyrtle

%install
install -d -m 755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
install -d -m 755 %{buildroot}%{_mandir}/man1

# JAR
install -p -m 644 snifflib_release/snifflib*.jar %{buildroot}%{_javadir}/snifflib.jar

# Splash image
install -p -m 644 src/com/mockturtlesolutions/snifflib/spreadsheets/images/myrtlesplash.png %{buildroot}%{_datadir}/%{name}/

# Custom launcher
install -d -m 755 %{buildroot}%{_bindir}
install -p -m 755 %{SOURCE2} %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
cp -p src/com/mockturtlesolutions/snifflib/spreadsheets/images/myrtle_logo.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

# manpage
install -p -m 644 doc/man/myrtle.1 %{buildroot}%{_mandir}/man1

# Javadocs
cp -pr %{name}_release/forupload/doc/api/* %{buildroot}%{_javadocdir}/%{name}

%post -n myrtle
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun -n myrtle
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans -n myrtle
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%{_javadir}/%{name}.jar
%doc src/com/mockturtlesolutions/snifflib/LICENSE/LGPLv3.txt

%files -n myrtle
%{_bindir}/myrtle
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/myrtlesplash.png
%{_mandir}/man1/myrtle.1*
%{_datadir}/icons/hicolor/64x64/apps/myrtle_logo.png
%{_datadir}/applications/myrtle.desktop

%files javadoc
%doc %{_javadocdir}/%{name}
%doc src/com/mockturtlesolutions/snifflib/LICENSE/LGPLv3.txt

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jul 14 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.9.0-9
- Add build-requires on javapackages-local

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 30 2015 Michael Simacek <msimacek@redhat.com> - 1.9.0-7
- Add missing BR ant-junit

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar  4 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.9.0-5
- Add Requires: java to myrtle subpackage

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.9.0-5
- Use Requires: java-headless rebuild (#1067528)

* Thu Sep 26 2013 Michael Simacek <msimacek@redhat.com> - 1.9.0-4
- Better fix for optional splash

* Mon Sep 23 2013 Michael Simacek <msimacek@redhat.com> - 1.9.0-3
- Optional splash
- Resolves: rhbz#1010446

* Tue Sep 10 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.9.0-2
- Fix splash screen
- Resolves: rhbz#1002223

* Tue Sep 10 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.9.0-1
- Update to upstream version 1.9.0

* Thu Aug 29 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.8.13-2
- Show splash screen when loading GUI
- Resolves: rhbz#1002223

* Tue Aug 27 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.8.13-1
- Update to upstream version 1.8.13

* Fri Aug 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.8.12-1
- Update to upstream version 1.8.12
- Install manual page

* Wed Aug 21 2013 Michael Simacek <msimacek@redhat.com> - 1.8.10-3
- Removed absolute paths

* Wed Aug 21 2013 Michael Simacek <msimacek@redhat.com> - 1.8.10-2
- Added icon cache update

* Mon Aug 19 2013 Michael Simacek <msimacek@redhat.com> - 1.8.10-1
- Initial version

